Bug 1381850 - Automatically generate HostnameResolveNetwork ServiceNetMap parameter for custom roles
Summary: Automatically generate HostnameResolveNetwork ServiceNetMap parameter for cus...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 10.0 (Newton)
Assignee: Steven Hardy
QA Contact: Marius Cornea
URL:
Whiteboard:
Depends On:
Blocks: 1337782
TreeView+ depends on / blocked
 
Reported: 2016-10-05 08:24 UTC by Marius Cornea
Modified: 2016-12-14 16:08 UTC (History)
9 users (show)

Fixed In Version: openstack-tripleo-heat-templates-5.0.0-0.20161008015357.0d3e3e3.1.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-14 16:08:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC
OpenStack gerrit 381902 None None None 2016-10-05 08:25:04 UTC
Launchpad 1629827 None None None 2016-10-05 08:24:37 UTC

Description Marius Cornea 2016-10-05 08:24:03 UTC
Description of problem:
When deploying custom roles we need a way to automatically generate the HostnameResolveNetwork ServiceNetMap parameter for that role. For instance when deploying a ServiceApi custom role we currently need to manually pass inside a Heat environment file the following:

parameter_defaults:
  ServiceNetMap:
    ServiceApiHostnameResolveNetwork: internal_api

Version-Release number of selected component (if applicable):
openstack-tripleo-heat-templates-5.0.0-0.20160929150845.4cdc4fc.el7ost.noarch

Comment 2 Steven Hardy 2016-10-06 13:46:57 UTC
Upstream patches landed, just need a build that contains them:

https://review.openstack.org/#/q/Ib240f56c1db5842b953fa510316e75fd53f24735,n,z

Comment 6 errata-xmlrpc 2016-12-14 16:08:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.